﻿@model CreateEditStaffViewModel

<form novalidate ng-submit="addEdit()">

    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" ui-sref='ManageStaffs'>
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>

            <div class="title">
                <h1>
                    {{Model.PageMode == 'Create' ? "Add staff" : "Edit staff" }}
                </h1>
            </div>

            <div class="actions">
                @*<a ui-sref="InviteUser" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Add new program">
                        <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
                    </a>*@
            </div>

            <div class="clearfix"></div>
            <hr />
        </div>

        <div>
            <label class="req-star" for="@Html.Ang(m => m.FirstName)">First name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.FirstName)>
                <input class="k-textbox" id="@Html.Ang(m => m.FirstName)" ng-model="@Html.Ang(m => m.FirstName)" @Html.AngTooltipValidationFor(model => model.FirstName) />
            </div>

            <label class="req-star" for="@Html.Ang(m => m.LastName)">Last name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LastName)>
                <input class="k-textbox" id="@Html.Ang(m => m.LastName)" ng-model="@Html.Ang(m => m.LastName)" @Html.AngTooltipValidationFor(model => model.LastName) />
            </div>
            
            <label for="@Html.Ang(m => m.Title)">Title</label>
            <div class="input-control select" data-role="input">
                <select ng-model="Model.Title" ng-options="obj.Value as obj.Text for obj in Model.AllStaffTitles"></select>
            </div>

            <label for="@Html.Ang(m => m.PhoneNumber)">Phone number</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.PhoneNumber)>
                <input placeholder="e.g. 5551239876" class="k-textbox JbPhone US" id="@Html.Ang(m => m.PhoneNumber)" ng-model="@Html.Ang(m => m.PhoneNumber)" @Html.AngTooltipValidationFor(model => model.PhoneNumber) />
            </div>
            <label>Phone extension</label>
            <div class="input-control text" data-role="input-control">
                <input placeholder="e.g. 123" ng-model="@Html.Ang(m => m.ExtensionPhone)" type="text" />
            </div>

            <div ng-show="Model.PageMode == 'Create'">
                <label class="req-star" for="@Html.Ang(m => m.EmailAddress)">Email address</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.EmailAddress)>
                    <input class="k-textbox" id="@Html.Ang(m => m.EmailAddress)" ng-model="@Html.Ang(m => m.EmailAddress)" @Html.AngTooltipValidationFor(model => model.EmailAddress) />
                </div>

                <label class="req-star" for="@Html.Ang(m => m.ConfirmEmailAddress)">Confirm email address</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.ConfirmEmailAddress)>
                    <input class="k-textbox" id="@Html.Ang(m => m.ConfirmEmailAddress)" ng-model="@Html.Ang(m => m.ConfirmEmailAddress)" @Html.AngTooltipValidationFor(model => model.ConfirmEmailAddress) />
                </div>
            </div>
            <div ng-show="Model.RoleCategory=='Instructor'">
                <label style="cursor:default">Date of background check</label>
                <div class="half-size place-left">
                    <input kendo-date-picker type="text" ng-model="Model.DeteOfBackgrandCheck" />
                </div>
            </div>
            <div class="clearfix"></div>
            
        
        <div class="clearfix"></div>

        <label class="req-star">Access role</label>

        <label data-ng-repeat="role in Model.AllRoles">
            <input type="radio" name="role" data-ng-model="Model.RoleCategory" data-ng-value="role.Value" />
            {{role.Text}}
        </label>
            
    </div>

      

    <div class="clearfix"></div>
    <button type="submit" class="success large place-right">Submit</button>
    <button type="submit" class="link large place-left" ui-sref="ManageStaffs">Cancel</button>

    <div class="clearfix"></div>
    </div>
    
</form>